## org.eclipse.m2m.qvt.oml.runtime.util
Class QvtoTransformationHelper

    java.lang.Object
      org.eclipse.m2m.qvt.oml.runtime.util.QvtoTransformationHelper

    public class QvtoTransformationHelper

extends java.lang.Object

Nested Class Summary
`static interface` `QvtoTransformationHelper.ModelExtent` This interface provides read-only access to the contents of a model extent.
`static interface` `QvtoTransformationHelper.TransfExecutionResult`

Constructor Summary
`QvtoTransformationHelper(org.eclipse.core.resources.IFile qvtoFile)`
`QvtoTransformationHelper(org.eclipse.emf.common.util.URI transfUri)`

Method Summary
`QvtoTransformationHelper.TransfExecutionResult` `executeTransformation(java.util.List<? extends org.eclipse.emf.ecore.EObject> inObjects, java.util.Map<java.lang.String,java.lang.Object> inConfigProperties, org.eclipse.emf.ecore.resource.ResourceSet metamodelResourceSet)`
`java.util.List<org.eclipse.emf.common.util.URI>` `getImportedTransformations()`
`java.util.List<java.lang.String>` `getInputModelExtensions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QvtoTransformationHelper

    public QvtoTransformationHelper(org.eclipse.emf.common.util.URI transfUri)

Parameters:
  `transfUri` - uri of the transformation script:
  files like `file:/`
  platform resources like `platform:/resource/`
  platform plugins like `platform:/plugin/`

### QvtoTransformationHelper

    public QvtoTransformationHelper(org.eclipse.core.resources.IFile qvtoFile)

Method Detail

### executeTransformation

    public QvtoTransformationHelper.TransfExecutionResult executeTransformation(java.util.List<? extends org.eclipse.emf.ecore.EObject> inObjects,
                                                                                java.util.Map<java.lang.String,java.lang.Object> inConfigProperties,
                                                                                org.eclipse.emf.ecore.resource.ResourceSet metamodelResourceSet)
                                                                         throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### getImportedTransformations

    public java.util.List<org.eclipse.emf.common.util.URI> getImportedTransformations()
                                                                               throws org.eclipse.core.runtime.CoreException

  Returns:
    List(Transformation File URI)
    - File URI is workspace-relative created with URI.createPlatformResourceURI() call
    - All returned file URIs necessarily belong to single workspace plugin
  Throws:
    `org.eclipse.core.runtime.CoreException` - in case file URI cannot be converted to workspace-relative scheme

### getInputModelExtensions

    public java.util.List<java.lang.String> getInputModelExtensions()
                                                             throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.